package tein.pt2.intro;

//Java specific imports.
import java.net.*;
import java.io.IOException;

/**
 * Uppsala University.
 * User: tein
 * Date: Jan 19, 2003
 * Time: 4:21:52 PM
 *
 */
public class MWServerCheck {


    /**
     * The main method will create an URL and try to 
     * make a http connection to it.
     * In this way it is possible to check liveness of a web server.
     * @param argv
     */
    public static void main(String[] argv) {
        long startTime = 0;
        long endTime = 0;
        String responseMessage = "";
        int responseCode = 0;

        try {
            // Create URL to connect to
            URL url = new URL( argv[0]);
            //Record time when our connection attempt started.
            startTime = System.currentTimeMillis();
            HttpURLConnection connection = (HttpURLConnection) 
		url.openConnection();
            // Get response from server. Hopefully 200/OK;
            responseCode = connection.getResponseCode();
            responseMessage = connection.getResponseMessage();
            // Record how long it took.
            endTime = System.currentTimeMillis() - startTime;

            // Print the result to the console
            System.out.println("MWServerCheck.main/1:"+
			       " Response: ["+responseCode+"/" +
                               responseMessage+"],[Time: "+endTime+"ms]");
        }
        catch( MalformedURLException e) {
            System.out.println("MWServerCheck.main/1: Bad URL: ["+argv[0]+"]");
        }
        catch( UnknownHostException  e) {
            System.out.println("MWServerCheck.main/1: Unknown host: "+
			       "["+argv[0]+"]");
        }
        catch(ConnectException e) {
            System.out.println("MWServerCheck.main/1: Connection refused: "+
			       "["+argv[0]+"]");
        }
        catch (IOException e) {
            System.out.println("MWServerCheck.main/1: "+
			       "Exception while opening connection");
            e.printStackTrace();
        }
    }
}
